/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TexturedSphere;


import com.sun.opengl.util.Animator;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.media.opengl.GLJPanel;
import javax.swing.*;
import java.awt.*;


/**
 *
 * @author mzaczek
 */
public class TexturedSphere {
   
    /** Creates a new instance of TexturedSphere */
    public TexturedSphere() {
        
    }

    public static void main(String[] args)
    {
        Frame frame = new Frame();
        GLJPanel canvas = new GLJPanel();
        Renderer renderer = new Renderer();
        
        MouseHandler inputMouseHandler = new MouseHandler(renderer);
	canvas.addMouseListener(inputMouseHandler);
	canvas.addMouseMotionListener(inputMouseHandler);
        
        KeyHandler inputKeyHandler = new KeyHandler(renderer);
        canvas.setFocusable(true);
        canvas.addKeyListener(inputKeyHandler);  
        
        canvas.addGLEventListener(renderer);
        
        frame.add(canvas);
        frame.setSize(300, 300);
        final Animator animator = new Animator(canvas);
        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
              // Run this on another thread than the AWT event queue to
              // make sure the call to Animator.stop() completes before
              // exiting
              new Thread(new Runnable() {
                  public void run() {
                    animator.stop();
                    System.exit(0);
                  }
                }).start();
            }
          });
          
        frame.setVisible(true);
        
        animator.start();
    }
}

